Story1/urls.py
from django.urls import path
from . import views

app_name = 'Story1'

urlpatterns = [
	path('', views.index , name = 'index'),
	path('story1/', views.index2 , name = 'story1')
]

Story5/urls.py
from django.urls import path
from . import views

app_name = 'Story5'

urlpatterns = [
	path('', views.daftarmatkul , name = 'daftarmatkul'),
    path('addmatkul/', views.addMatkul, name = 'addmatkul'),
    path('detail/<str:nama>', views.detail, name = 'detail')
]

Story_PPW/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('Story1.urls')),
    path('story3/', include('Story3.urls')),
    path('story4/', include('Story4.urls')),
    path('story5/', include('Story5.urls')),
    path('story6/', include('Story6.urls')),
    path('story7/', include('Story7.urls')),
    path('story8/', include('Story8.urls')),
    path('story9/', include('Story9.urls')),
]

Story5/models.py
from django.db import models
from django.utils import timezone
from datetime import datetime, date

# Create your models here.
class Matkul(models.Model):
    namaMatkul = models.CharField('Course\'s Name ', max_length=100)
    dosenPengajar = models.CharField('Lecturer ', max_length=100)
    jumlahSKS = models.IntegerField('Credit(s) ')
    deskripsi = models.CharField('Description ', max_length=1000)
    term = models.CharField('Term ', max_length=100)
    kelas = models.CharField('Classroom ',max_length=100)

    def __str__(self):
	    return self.namaMatkul

Story5/forms.py
from django.forms import ModelForm
from django import forms
from .models import Matkul

class MatkulForm(ModelForm):
    class Meta:
        model = Matkul
        fields = '__all__'
        help_texts ={
            'term' : 'example : Odd 2020/2021',
        }
        widgets ={
            'namaMatkul' : forms.TextInput(attrs = {
                                'placeholder' : "Input course's name"
                            }),
            'dosenPengajar' : forms.TextInput(attrs = {
                                'placeholder' : "Input lecturer's name"
                            }),
            'jumlahSKS' : forms.NumberInput(attrs = {
                                'placeholder' : "Input course's credit(s)"
                            }),
            'deskripsi' : forms.Textarea(attrs = {
                                'placeholder' : "Input course's description"
                            }),
            'term' : forms.TextInput(attrs = {
                                'placeholder' : "Input course's term"
                        }),
            'kelas' : forms.TextInput(attrs = {
                                'placeholder' : "Input course's classroom"
                        }),
        }

Story5/views.py
from django.shortcuts import render,redirect, resolve_url
from django.http import HttpResponse, HttpResponseRedirect
from .forms import MatkulForm
from .models import Matkul

# Create your views here.
def daftarmatkul(request):
    if request.method == 'POST':
        matkul = Matkul.objects.get(namaMatkul=request.POST['namaMatkul'])
        matkul.delete()
        return redirect(request.path)
    matkuls = Matkul.objects.all()
    return render (request, 'Story5/daftar_matkul.html', {'matkuls':matkuls})

def addMatkul(request):
    submitted = False
    if request.method == 'POST':
        form = MatkulForm(request.POST)
        if form.is_valid():
           form.save()
           return redirect('/story5/addmatkul/?submitted=True')
    else: 
        form = MatkulForm()
        if 'submitted' in request.GET:
            submitted=True

    
    content = {
        'form' : form,
        'submitted' : submitted
    }
    return render (request, 'Story5/add_matkul.html', content)

def detail(request, nama):
	matkul = Matkul.objects.get(namaMatkul=nama)
	content = {
		'matkul': matkul
	}
	return render(request, 'Story5/detail.html', content)

Story5/templates/Story5/add_matkul.html
{% extends 'base.html' %}
{% load static %}

{% block head %}
<link rel="stylesheet" href="{% static 'Story5/css/style5.css' %}">
{% endblock %}

{% block title %} Add Course {% endblock %}

{% block content %}
{% include 'navbar.html' %}

<div class="fluid-container course-container mx-auto">

    {% if submitted %}
        <p class ="text-center"> Your course was added sucessfully :)</p>
        <a href="{% url 'Story5:daftarmatkul' %}"><p class ="text-center"> back to course list </p></a>
    {% endif %}

    <p class="judul text-center">ADD COURSE</p>
    <form method="POST">
        {% csrf_token %}
        {% for field in form %}
            <div class="row justify-content-center mt-4">
                <div class="col-lg-4">{{field.label_tag}}</div>
                <div class="col-lg-5">
                    {{field}}
                    {% if field.help_text %}
                        {{field.help_text}}
                    {% endif %}
                </div>
            </div>
        {% endfor %}
        <div class="row justify-content-center">
            <div class="col-lg-4"></div>
            <div class="col-lg-5"><button type="submit" class="btn btme btn-dark float-right"> Submit </button></div>
        </div>
    </form>
</div>
    

{% include 'footer.html' %}

{% endblock %}

Story5/templates/Story5/daftar_matkul.html
{% extends 'base.html' %}
{% load static %}

{% block head %}
<link rel="stylesheet" href="{% static 'Story5/css/style5.css' %}">
{% endblock %}

{% block title %}Daftar Kelas{% endblock %}

{% block content %}
{% include 'navbar.html' %}

<div class="fluid-container course-container mx-auto">
    <p class="judul text-center">COURSE LIST</p>
    
    {% if matkuls %}
        {% for matkul in matkuls %}
            <div class="card">
                <h5 class="card-header">{{matkul.namaMatkul}}</h5>
                <div class="card-body">
                    <p class="card-text">Lecturer : {{matkul.dosenPengajar}}</p>
                    <p class="card-text">Credit(s) : {{matkul.jumlahSKS}}</p>
                    <p class="card-text">Classroom : {{matkul.kelas}}</p>
                    <div class = "text-right">
                            <form method="POST" style="display: inline; margin: 5px;">
                                {% csrf_token %}
                                <input name="namaMatkul" value="{{matkul.namaMatkul}}" type="hidden">
                                <button type="submit" value="submit" style="background-color:transparent; border-color: transparent; border-width: 0; color: white;"><i class="fas fa-trash-alt"></i></button>
                            </form>
                            <a href="{% url 'Story5:detail' matkul.namaMatkul %} " class="btn btme btn-dark" style="margin:auto;">Detail</a>
                    </div>
                    
                </div>
            </div>
        {% endfor %}
    {% else %}
        <p class="text-center" style=font-size:1.5rem >Sorry, there is no course in here</p>
    {% endif %}
    <div class = "text-center mb-5">
        <a class="btme btn btn-lg btn-dark text-center" href="{% url 'Story5:addmatkul' %}" role="button">Add Course</a>
    </div>
    
    
</div>
    
{% include 'footer.html' %}

{% endblock %}

Story5/templates/Story5/detail.html
{% extends 'base.html' %}
{% load static %}

{% block head %}
<link rel="stylesheet" href="{% static 'Story5/css/style5.css' %}">
{% endblock %}

{% block title %}{{matkul.namaMatkul}}{% endblock %}

{% block content %}
{% include 'navbar.html' %}

<div class="fluid-container course-container mx-auto">
    <p class="judul text-center mb-5">{{matkul.namaMatkul}}</p>
    <p class ="rinci1">Description</p>
    <p class ="rinci text-justify">{{matkul.deskripsi}} </p>
    <br>
    <table>
        <tr>
            <td><p class ="rinci1">Lecturer</p></td>
            <td><p class ="rinci1">:</p></td>
            <td><p class ="rinci" style="color:white;">{{matkul.dosenPengajar}}</p></td>
        </tr>
        <tr>
            <td><p class ="rinci1">Credit(s)</p></td>
            <td><p class ="rinci1">:</p></td>
            <td><p class ="rinci" style="color:white;">{{matkul.jumlahSKS}}</p></td>
        </tr>
        <tr>
            <td><p class ="rinci1">Classroom</p></td>
            <td><p class ="rinci1">:</p></td>
            <td><p class ="rinci" style="color:white;">{{matkul.kelas}}</p></td>
        </tr>
        <tr>
            <td><p class ="rinci1">Term</p></td>
            <td><p class ="rinci1">:</p></td>
            <td><p class ="rinci" style="color:white;">{{matkul.term}}</p></td>
        </tr>
    </table>
</div>

    
{% include 'footer.html' %}

{% endblock %}